Skip to main content
PUT
/
commerce
/
orders
/
{orderId}
/
attributes
Error
A valid request URL is required to generate request examples
[
  {
    "attributeDefinitionId": 123,
    "auditInfo": {
      "createBy": "<string>",
      "createDate": "2023-11-07T05:31:56Z",
      "updateBy": "<string>",
      "updateDate": "2023-11-07T05:31:56Z"
    },
    "fullyQualifiedName": "<string>",
    "values": [
      "<unknown>"
    ]
  }
]

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

orderId
string
required

Unique identifier of the order whose attributeSet you want to update.

Query Parameters

removeMissing
boolean
default:false

Indicates that items missing from the collection should be removed.

responseFields
string

limits which fields are returned in the response body

Body

application/json

Attributes to upsert.

attributeDefinitionId
integer<int32> | null
auditInfo
object
fullyQualifiedName
string | null
values
any[] | null

Response

Success

attributeDefinitionId
integer<int32> | null
auditInfo
object
fullyQualifiedName
string | null
values
any[] | null